org.apache.xmlbeans

## Interface XmlENTITIES

- All Superinterfaces:
    XmlAnySimpleType, XmlObject, XmlTokenSource

      public interface XmlENTITIES
      extends XmlAnySimpleType

  Corresponds to the XML Schema xs:ENTITIES type, a list type.

  A list type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `XmlENTITIES.Factory` A class with methods for creating instances of `XmlENTITIES`.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SchemaType` | `type` The constant `SchemaType` object representing this schema type.

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List` | `getListValue()` Returns the value as a `List` of `String` values
    `java.util.List` | `listValue()` Deprecated. replaced by `getListValue()`
    `void` | `set(java.util.List l)` Deprecated. replaced by `getListValue()`
    `void` | `setListValue(java.util.List l)` Sets the value as a `List`
    `java.util.List` | `xgetListValue()` Returns the value as a `List` of `XmlENTITY` values
    `java.util.List` | `xlistValue()` Deprecated. replaced by `getListValue()`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

      `getStringValue, set, setStringValue, stringValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final SchemaType type

      The constant `SchemaType` object representing this schema type.

  - ### Method Detail

    - #### getListValue

          java.util.List getListValue()

      Returns the value as a `List` of `String` values

    - #### xgetListValue

          java.util.List xgetListValue()

      Returns the value as a `List` of `XmlENTITY` values

    - #### setListValue

          void setListValue(java.util.List l)

      Sets the value as a `List`

    - #### listValue

          java.util.List listValue()

      Deprecated. replaced by `getListValue()`
      Returns the value as a `List` of `String` values

    - #### xlistValue

          java.util.List xlistValue()

      Deprecated. replaced by `getListValue()`
      Returns the value as a `List` of `XmlENTITY` values

    - #### set

          void set(java.util.List l)

      Deprecated. replaced by `getListValue()`
      Sets the value as a `List`